uuid: 5b36b831-8dc4-4057-87c6-e46e3f7a03ae
langcode: en
status: true
dependencies:
  config:
    - field.storage.node.field_degree_option
    - field.storage.node.field_description
    - field.storage.node.field_keywords
    - field.storage.node.field_learn_category
    - search_api.server.durham_tech
  module:
    - node
    - search_api
    - search_api_exclude_entity
id: careers
name: 'Careers Index'
description: ''
read_only: false
field_settings:
  field_degree_option:
    label: 'Basic Education Requirement'
    datasource_id: 'entity:node'
    property_path: field_degree_option
    type: integer
    dependencies:
      config:
        - field.storage.node.field_degree_option
  field_description:
    label: Description
    datasource_id: 'entity:node'
    property_path: field_description
    type: text
    boost: 0.5
    dependencies:
      config:
        - field.storage.node.field_description
  field_keywords:
    label: Keywords
    datasource_id: 'entity:node'
    property_path: field_keywords
    type: text
    boost: 21.0
    dependencies:
      config:
        - field.storage.node.field_keywords
  field_learn_category:
    label: 'Learn Category'
    datasource_id: 'entity:node'
    property_path: field_learn_category
    type: integer
    dependencies:
      config:
        - field.storage.node.field_learn_category
  node_grants:
    label: 'Node access information'
    property_path: search_api_node_grants
    type: string
    indexed_locked: true
    type_locked: true
    hidden: true
  status:
    label: status
    datasource_id: 'entity:node'
    property_path: status
    type: boolean
    indexed_locked: true
    type_locked: true
    dependencies:
      module:
        - node
  title:
    label: Title
    datasource_id: 'entity:node'
    property_path: title
    type: string
    dependencies:
      module:
        - node
  uid:
    label: uid
    datasource_id: 'entity:node'
    property_path: uid
    type: integer
    indexed_locked: true
    type_locked: true
    dependencies:
      module:
        - node
datasource_settings:
  'entity:node':
    bundles:
      default: false
      selected:
        - career
    languages:
      default: true
      selected: {  }
processor_settings:
  add_url: {  }
  aggregated_field: {  }
  content_access:
    weights:
      preprocess_query: -30
  entity_status: {  }
  ignore_character:
    weights:
      preprocess_index: -10
      preprocess_query: -10
    all_fields: false
    fields:
      - field_description
      - title
    ignorable: "['¿¡!?,.:;]"
    ignorable_classes:
      - Pc
      - Pd
      - Pe
      - Pf
      - Pi
      - Po
      - Ps
  ignorecase:
    weights:
      preprocess_index: -20
      preprocess_query: -20
    all_fields: false
    fields:
      - field_description
      - title
  language_with_fallback: {  }
  rendered_item: {  }
  search_api_exclude_entity_processor:
    fields:
      node: {  }
tracker_settings:
  default:
    indexing_order: fifo
options:
  cron_limit: 100
  index_directly: true
  track_changes_in_references: true
server: durham_tech
